## aioredis 1.0.0~b2

=== Makefile ===
PYTHON ?= python3
FLAKE ?= flake8
PYTEST ?= py.test

REDIS_VERSION ?= "$(shell redis-cli INFO SERVER | sed -n 2p)"
REDIS_TAGS ?= 2.6.17 2.8.22 3.0.7 3.2.8 4.0-rc2

ARCHIVE_URL = https://github.com/antirez/redis/archive
INSTALL_DIR ?= build

TEST_ARGS ?= "-n 4"

REDIS_TARGETS = $(foreach T,$(REDIS_TAGS),$(INSTALL_DIR)/$T/redis-server)

# Python version and implementation
PYTHON_IMPL = $(shell $(PYTHON) -c "import sys; print(sys.implementation.name)")
PYTHON_35 = $(shell $(PYTHON) -c "import sys; print(sys.version_info >= (3, 5))")

ifeq ($(PYTHON_35), True)
FLAKE_ARGS = aioredis tests examples
EXAMPLES = $(shell find examples -name "*.py")
else
FLAKE_ARGS = --exclude=py35_* aioredis tests examples/py34
EXAMPLES = $(shell find examples/py34 -name "*.py")
endif

.PHONY: all flake doc man-doc spelling test cov dist devel clean
all: aioredis.egg-info flake doc cov

doc: spelling
	make -C docs html
man-doc: spelling
	make -C docs man
spelling:
	@echo "Running spelling check"
	make -C docs spelling

ifeq ($(PYTHON_IMPL), cpython)
flake:
	$(FLAKE) $(FLAKE_ARGS)
else
flake:
	@echo "Job is not configured to run on $(PYTHON_IMPL); skipped."
endif

test:
	$(PYTEST)

cov coverage:
	$(PYTEST) --cov

dist: clean man-doc
	$(PYTHON) setup.py sdist bdist_wheel

clean:
	-rm -r docs/_build
	-rm -r build dist aioredis.egg-info

devel: aioredis.egg-info
	pip install -U pip
	pip install -U \
		sphinx \
		sphinx_rtd_theme \
		bumpversion \
		wheel
	pip install -Ur tests/requirements.txt
	pip install -Ur docs/requirements.txt

aioredis.egg-info:
	pip install -Ue .


ifdef TRAVIS
examples: .start-redis $(EXAMPLES)
else
examples: $(EXAMPLES)
endif

$(EXAMPLES):
	@export REDIS_VERSION="$(redis-cli INFO SERVER | sed -n 2p)"
	$(PYTHON) $@

.start-redis: $(lastword $(REDIS_TARGETS))
	$< ./examples/redis.conf
	$< ./examples/redis-sentinel.conf --sentinel
	sleep 5s
	echo "QUIT" | nc localhost 6379
	echo "QUIT" | nc localhost 26379

.PHONY: $(EXAMPLES)


certificate:
	make -C tests/ssl

ci-test: $(REDIS_TARGETS)
	@$(call echo, "Tests run")
	py.test -rsxX --cov \
		$(foreach T,$(REDIS_TARGETS),--redis-server=$T) $(TEST_ARGS)

ci-test-%: $(INSTALL_DIR)/%/redis-server
	py.test -rsxX --cov --redis-server=$< $(TEST_ARGS)

ci-build-redis: $(REDIS_TARGETS)

$(INSTALL_DIR)/%/redis-server:
	@echo "Building redis-$*..."
	wget -nv -c $(ARCHIVE_URL)/$*.tar.gz -O - | tar -xzC /tmp
	make -j -C /tmp/redis-$* \
		INSTALL_BIN=$(abspath $(INSTALL_DIR))/$* install >/dev/null 2>/dev/null
	@echo "Done building redis-$*"

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aioredis.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aioredis.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aioredis"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aioredis"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."


spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling || \
		(cat $(BUILDDIR)/spelling/output.txt; false)
	test ! -s $(BUILDDIR)/spelling/output.txt

=== docs/requirements.txt ===
sphinx==1.6.2
sphinxcontrib-asyncio==0.2.0
sphinxcontrib-spelling==2.3.0
pyenchant==1.6.8

=== tests/requirements.txt ===
hiredis==0.2.0
flake8==3.3.0
coverage==4.4.1
pytest==3.1.2
pytest-cov==2.5.1
pytest-xdist==1.17.1
async-timeout==1.2.1

=== tests/ssl/Makefile ===

all: dhparam.pem cert.pem cafile.crt

dhparam.pem:
	openssl dhparam -out $@ 2048
cafile.crt:
	openssl req -newkey rsa:2048 -keyout private.key \
		-batch -nodes -x509 -out $@
cert.pem: cafile.crt
	cat private.key $^ > $@

clean:
	rm private.key cert.pem cafile.crt dhparam.pem

.PHONY: all

## aioredis 0.2.4

=== debian/changelog ===
aioredis (0.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Oct 2015 23:46:44 +0100

aioredis (0.2.3-1) unstable; urgency=medium

  * New upstream release
  * Fix Vcs-* fields to point to the right package

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 29 Aug 2015 23:31:54 +0200

aioredis (0.2.2-1) unstable; urgency=low

  * Initial release (closes: 795414)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 13 Aug 2015 22:12:46 +0200

=== debian/control ===
Source: aioredis
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python3-all,
 python3-setuptools,
 python3-hiredis,
Standards-Version: 3.9.6
Homepage: http://aioredis.readthedocs.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/aioredis.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/aioredis.git
X-Python3-Version: >= 3.3

Package: python3-aioredis
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: asyncio (PEP 3156) Redis support
 The library is intended to provide simple and clear interface to Redis based
 on asyncio.
 .
 Features:
  * Connections pool
  * Low-level & high-level API
  * hiredis parser

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aioredis
%:
	dh $@ --with python3 --buildsystem=pybuild

## aioredis 0.2.8

=== debian/changelog ===
aioredis (0.2.8-1) unstable; urgency=medium

  * New upstream release
    + add python3-pytest and python3-pytest-cov to Build-Depends
  * Homepage updated (TLD changed to .io)
  * Standards-Version bumped to 3.9.8 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 Jul 2016 22:17:51 +0200

aioredis (0.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 14 Apr 2016 20:52:50 +0200

aioredis (0.2.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 3.9.7 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 03 Mar 2016 20:55:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
  python3-all,
  python3-setuptools,
  python3-hiredis,
-Standards-Version: 3.9.6
-Homepage: http://aioredis.readthedocs.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/aioredis.git
+ python3-pytest,
+ python3-pytest-cov,
+Standards-Version: 3.9.8
+Homepage: http://aioredis.readthedocs.io/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aioredis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/aioredis.git
 X-Python3-Version: >= 3.3

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aioredis
# disable tests for now as upstream doesn't include them in the tarball
export PYBUILD_DISABLE=test
%:
	dh $@ --with python3 --buildsystem=pybuild

## aioredis 0.3.0

=== debian/changelog ===
aioredis (0.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Jan 2017 11:27:59 +0100

aioredis (0.2.9-1) unstable; urgency=medium

  * New upstream release
  * Enable tests during build (they're in the tarball now)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 12:30:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
  python3-all,
  python3-setuptools,
  python3-hiredis,
+# tests
  python3-pytest,
  python3-pytest-cov,
+ redis-server,
 Standards-Version: 3.9.8
 Homepage: http://aioredis.readthedocs.io/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aioredis.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/aioredis/aioredis-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aioredis 1.0.0~b2

=== debian/changelog ===
aioredis (1.0.0~b2-1) unstable; urgency=medium

  * New upstream release
    - add python3-async-timeout to Build-Depends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 20 Jul 2017 20:01:59 +0200

aioredis (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 16:04:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
 # tests
  python3-pytest,
  python3-pytest-cov,
+ python3-async-timeout,
  redis-server,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://aioredis.readthedocs.io/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aioredis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/aioredis.git

## aioredis 1.0.0

=== debian/changelog ===
aioredis (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum required Python version to 3.5
  * Standards-Version bumped to 4.1.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 Nov 2017 10:43:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  python3-pytest-cov,
  python3-async-timeout,
  redis-server,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://aioredis.readthedocs.io/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aioredis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/aioredis.git
-X-Python3-Version: >= 3.3
+X-Python3-Version: >= 3.5
 
 Package: python3-aioredis
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aioredis/aioredis-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aioredis 1.1.0

=== debian/changelog ===
aioredis (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 19 Mar 2018 09:21:41 +0100

## aioredis 1.2.0

=== debian/changelog ===
aioredis (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Dec 2018 13:20:26 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  redis-server,
 Standards-Version: 4.1.1
 Homepage: http://aioredis.readthedocs.io/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aioredis.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/aioredis.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/aioredis.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/aioredis
 X-Python3-Version: >= 3.5
 
 Package: python3-aioredis

## aioredis 1.3.1

=== debian/changelog ===
aioredis (1.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Dec 2019 21:11:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 9), dh-python,
  python3-all,
  python3-setuptools,
  python3-hiredis,
@@ -16,7 +16,6 @@
 Homepage: http://aioredis.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/modules/aioredis.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/aioredis
-X-Python3-Version: >= 3.5
 
 Package: python3-aioredis
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aioredis
export PYBUILD_TEST_ARGS=-ktest_global_loop
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .cache
